Bug 194843 - devel/magit: Need to update to 1.2.1 to work with Emacs 24.4.
Summary: devel/magit: Need to update to 1.2.1 to work with Emacs 24.4.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-05 21:40 UTC by Raphael Kubo da Costa
Modified: 2014-11-19 21:16 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch (1.01 KB, patch)
2014-11-13 22:09 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2014-11-05 21:40:05 UTC
devel/magit 1.2.0 fails to build with emacs 24.4.

There are many errors like this:
gmake[2]: Entering directory '/usr/ports/devel/magit/work/magit-1.2.0'
/usr/local/bin/emacs-24.4  -batch -q -no-site-file -eval "(setq load-path (cons (expand-file-name \".\") load-path))" --eval '(byte-compile-file "magit.el")'

In toplevel form:
magit.el:93:30:Warning: Package iswitchb is obsolete!
magit.el:792:27:Error: Wrong type argument: listp, 769

The 1.2.1 release was made specifically to make it work with Emacs 24.4.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-05 21:40:05 UTC
Auto-assigned to maintainer kuriyama@FreeBSD.org
Comment 2 Raphael Kubo da Costa freebsd_committer 2014-11-13 22:09:21 UTC
Created attachment 149384 [details]
Proposed patch

Proposed patch updating the port to 1.2.1.
Comment 3 Antoine Brodin freebsd_committer 2014-11-19 21:06:05 UTC
Hi Raphael,
Please commit the patch if it fixes the build.  (i was going to mark the port BROKEN as it doesn't build since 6 november)
Comment 4 commit-hook freebsd_committer 2014-11-19 21:14:58 UTC
A commit references this bug:

Author: rakuco
Date: Wed Nov 19 21:14:12 UTC 2014
New revision: 372818
URL: https://svnweb.freebsd.org/changeset/ports/372818

Log:
  - Update to 1.2.1.
    This is a small bugfix release specifically made for magit to work with
    Emacs 24.4 (the port has thus been broken ever since Emacs 24.4 was
    committed to the tree).

  While here, clean up MASTER_SITES and point to an https domain.

  PR:		194843
  Approved by:	maintainer timeout, portmgr (antoine)

Changes:
  head/devel/magit/Makefile
  head/devel/magit/distinfo